| Elektra 0.11.0

Functions
keyvalue.c File Reference

Methods for Key value manipulation. More...

`#include "kdbprivate.h"`

## Functions
const void * | keyValue (const Key *key)
| Return a pointer to the real internal `key` value.
const char * | keyString (const Key *key)
| Get a pointer to the c-string representing the value.
ssize_t | keyGetValueSize (const Key *key)
| Returns the number of bytes needed to store the key value, including the NULL terminator.
ssize_t | keyGetString (const Key *key, char *returnedString, size_t maxSize)
| Copy the string value of a Key into `returnedString`.
ssize_t | keySetString (Key *key, const char *newStringValue)
| Set the value for `key` as `newStringValue`.
ssize_t | keyGetBinary (const Key *key, void *returnedBinary, size_t maxSize)
| Copy the binary value of a Key into `returnedBinary`.
ssize_t | keySetBinary (Key *key, const void *newBinary, size_t dataSize)
| Set the value of a Key to the binary value `newBinary`.

## Detailed Description

Methods for Key value manipulation.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)